-- Author      : cgiguy
-- Create Date : 7/19/2011

SA_Spells = { [5171] = { color = { r=255/255, g=74/255, b=18/255, a=0.9,}, target = "player", }, --Slice and Dice
	[73651] = { color = {r=10/255, g=10/255, b=150/255,},target = "player", }, -- Recuperate
	[2818] = {color = {r=96/255, g=116/255, b=65/255,}, target = "target", }, --DeadlyPoison
	[1943] = { color = {r=130/255, g=15/255, b=0,},target = "target", },  --Rupture
	[1966]  = { color = {r=155/255, g=155/255, b=255/255,},target = "player",}, --Feint
	[703] = { color = {r=130/255, g=15/255, b=0,},target = "target",}, --Garrote
	[115189] = { color = {r=0,g=0,b=0,},target = "player",}, --Anticipation
	[137573] = { color = {r=135/255, g=135/255, b=255/255,},target = "player",}, --BurstOfSpeed
	[154953] = { color = {r=205/255, g=92/255, b=92/255,},target = "target",}, --InternalBleeding
	[79140] = { color = {r=130/255, g=130/255, b=0,},target = "target",}, --Vendetta
	[32645] = { color = {r=66/255, g=86/255, b=35/255,},target = "target",}, --Envenom
	[84617] = { color = {r=139/255, g=69/255, b=19/255,},target = "target",}, --RevealingStrike
	[13750] = { color = {r=0,g=0,b=0,},target = "player",}, --Adrenaline Rush
	[84745] = { color = {r=34/255, g=189/255, b=34/255,},target = "player",}, --Guile Rank 1
	[84746] = { color = {r=255/255, g=215/255, b=0/255,},target = "player",}, --Guile Rank 2
	[84747] = { color = {r=200/255, g=34/255, b=34/255,},target = "player",}, --Guile Rank 3
	[16511] = { color = {r=255/255, g=5/255, b=5/255,},target = "target",}, -- Hemorrhage
	[91021] = { color = {r=130/255, g=130/255, b=0,},target = "target",}, -- FindWeaknes
	};

for k,v in pairs(SA_Spells) do
 local name, rank, icon, _ = GetSpellInfo(k)
	SA_Spells[k].name = name
	SA_Spells[k].icon = icon
	SA_Spells[k].id = k
end
	
local L = LibStub("AceLocale-3.0"):NewLocale("SliceAdmiral", "enUS", true)
L["SALoaded"] = "SliceAdmiral %s loaded!! Options are under the SliceAdmiral tab in the Addons Interface menu"
L["ClickToMove"] = "Disable Click to Move"
L["PadLatency"] = "Pad Alerts with Latency"
L["ResetPossition"] = "Reset Position"
L["ResetPositionDecs"] = "Resets SliceAdmiral's position to upper left."
L["Main/info"] = "Click the + next to 'SliceAdmiral' in the list to the left for more options."
L["Main/Scale"] = "AddOn Scale"
L["Main/Width"] =  "Bar Width"
L["Main/oocFade"] = "Out of Combat Fade"
L["Main/Texture"] = "Bar Texture"

L["Version"] = "Version"
L["TimerBars"] = "Timer Bars"
L["Combo"] = "Combo Points and Stats"
L["EnergyBar"] = "Energy Bar"
L["SoundEffects"] = "Sound Effects"
L["ResetDatabase"] = "Reset Database"
L["ResetDatabaseDesc"] = "Will Reset the Entire Database. This Should Fix most problems."

L["SoundSettings"] = "Sound Settings"
L["TickSound"] = "Tick Sound"
L["AlertSound"] = "Alert Sound"

L["BanditsGuile"] = "Bandit's Guile"

L["ShowBar"] = "Show timer bar"
L["SliceNDice/Seconds"] = ""

L["Bars/GrowUp"] = "Bars grow up"
L["Bars/Sort"] = "Sort bars by duration"
L["Bars/ShowDoT"] = "Show DoT ticks"
L["Bars/DoTCrit"] = "Highlight DoT crits"

L["Sound/MasterVolume"] = "Use Master Volume."
L["Sound/OutOfCombat"] = "Play sound outside of combat."
L["Sound/Preview"] = "Pre-play Sound in options menu."

L["Frames/Custom"] = "Custom"
L["Frames/Tank"]=  "Tanky"
L["Frames/DPS"] = "DIPS"
L["Frames/Healer"] = "HolY"

L["combo/Show"] = "Show Combo Points"
L["tShow/anticipation"] = "Show Anticipation"
L["combo/statsheader"] = "Stats Bar Settings"
L["combo/showStats"] = "Show Stat Bar"
L["combo/megabuff"] = "Highlight when mega-buffed"
L["combo/armor"] = "Show Armor Info"
L["ComboA/Color"] = "Anticipation Color"
L["Combo/Color"] = "ComboPoints Color"

L["energy/Show"] = "Show Energy Bar"
L["energy/ShowCombo"] = "Show ComboPoints as Text"
L["energy/mark1"] = "Energy Marker 1"
L["energy/mark2"] = "Energy Marker 2"
L["energy/transp"] = "Energy Transperancy"
L["energy/Color"] = "Energy Bar Color"
